Subject: Re: bug#41659: 28.0.50; smime: encryption uses now base64, message not readable

From: Uwe Brauer <[email-masked]>
Date: Mon, 20 Jul 2020 13:00:40 +0200

>>> "LI" == Lars Ingebrigtsen <[email-masked]> writes:

   > Uwe Brauer <[email-masked]> writes:
   >> | Content-Type: multipart/signed; boundary="=-=-=";
   >> | 	micalg=sha256;   protocol="application/pkcs7-signature"
   >> | 
   >> | --=-=-=
   >> | Content-Type: text/plain; charset=utf-8
   >> | Content-Transfer-Encoding: base64
   >> | 
   >> | bmFjacOzbg0K
   >> | --=-=-=
   >> | Content-Type: application/pkcs7-signature; name=smime.p7s
   >> | Content-Transfer-Encoding: base64
   >> | Content-Disposition: attachment; filename=smime.p7s

   > (etc)

   > I put the included message into an mbox file and looked at it, and Gnus
   > displayed:

   > [[S/MIME Signed Part:Undecided]]
   > nación

   > [[End of S/MIME Signed Part]]

   > Is that what is expected?  If so, I can't reproduce this bug.

No sorry this is *not* the problem. I recall we had this discussion and
you closed a similar bug, because I incorrectly stated it is about smime
signed messages. It is not.

It is about encrypted+signed non-ascii message.

This is why I needed Jens Lechtenberger to jump in because he is one of
the few gnus users with a smime certificate.

So in order to reproduce and debug it, I suggest you either 

    1. Get a free smime certificate, there are still some, valid for
       some month. I could look it up for you.

    2. Or maybe your government provides you with one. This is,
       surprisingly, what the spanish goverment does, and I use this
       certificate, among other this  for email encryption and signing.

Regards

Uwe